header {
  background: #000000;
}

.h-wrap {
  h1.title {
    @extend h3;
    display: inline-block;
    font-weight: normal;
    a {
      color: $text-color;
      text-decoration: none;
      &:hover {
        color: $link-color;
      }
    }
  } // end h1.title

  .close {
    .lines {
      background: transparent;

      &::before,
      &::after {
        -webkit-transition: transform .3s ease;
        transition:         transform .3s ease;
      }

      &::before {
        -webkit-transform: rotate(45deg);
        transform:         rotate(45deg);
      }

      &::after {
        -webkit-transform: rotate(-45deg);
        transform:         rotate(-45deg);
      }

    } // end .lines
  } // end .close
} // end .h-wrap

.menu-icon {
  cursor: pointer;
  &:hover {
    opacity: 1;
  }
} // end .menu-icon

// Off-canvas
.site-wrapper-root {
  @extend %transition;
  position: absolute;
  text-align: left;
  width: 100%;
  &.open {
    .menu-icon {
      position: fixed;
    }
  }
}

.off-canvas {
  @extend %padding-large;
  transition: transform .3s ease;;
  position: fixed;
  top: 0;
  right: -25em;
  width: 25em;
  height: 100%;
  background: $smoke-color;
  z-index: 100;
  overflow: auto;

  // insuring that off-canvas doesn't take more than the average iPhone portrait width under 400px
  @media (max-width: 399px) {
    max-width: 320px;
  }

  &.toggled {
    -webkit-transform: translateX(-25em);
    transform:         translateX(-25em);
    border-left: 1px solid $border-color;
  }

  nav {
    h6 {
      text-align: left;
      margin-top: $spacing-m;
      margin-bottom: $spacing-s;
      color: lighten($text-color, 50%);
      padding-bottom: $spacing-xs;
      border-bottom: 1px solid $border-color;
    }
    ul li {
      list-style-type: none;
      margin-bottom: $spacing-xs;
      a {
        text-decoration: none;
      }
    }
  }
} // end .off-canvas
